# Update a conversation This operation updates a conversation which can, for instance, be used to update the metadata associated with a conversation. Endpoint: PATCH /v1/projects/{project_id}/conversations/{conversation_id} Version: 1.0 Security: Basic, oAuth2 ## Path parameters: - `project_id` (string, required) The unique ID of the project. You can find this on the Sinch Dashboard. - `conversation_id` (string, required) The unique ID of the conversation. This is generated by the system. ## Query parameters: - `update_mask` (array) The set of field mask paths. - `metadata_update_strategy` (string) Update strategy for the conversation_metadata field. Enum: "REPLACE", "MERGE_PATCH" ## Request fields (application/json): - `active` (boolean) Flag for whether this conversation is active. - `active_channel` (string) The identifier of the channel you want to include. Must be one of the enum values. Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC" - `app_id` (string) The ID of the participating app. - `contact_id` (string) The ID of the participating contact. - `metadata_json` (object) Arbitrary data set by the Conversation API clients and/or provided in the conversation_metadata field of a SendMessageRequest. A valid JSON object. - `correlation_id` (string) Arbitrary correlation ID related to the MT message set by the Conversation API user. - `id` (string) The ID of the conversation. - `metadata` (string) Arbitrary data set by the Conversation API clients. Up to 1024 characters long. NOTE: This field has been deprecated due to changes in the system architecture or functionality. It is no longer actively maintained and may be removed in future versions. Please avoid relying on this field in new code. ## Response 200 fields (application/json): - `active` (boolean) Flag for whether this conversation is active. - `active_channel` (string) The identifier of the channel you want to include. Must be one of the enum values. Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC" - `app_id` (string) The ID of the participating app. - `contact_id` (string) The ID of the participating contact. - `metadata_json` (object) Arbitrary data set by the Conversation API clients and/or provided in the conversation_metadata field of a SendMessageRequest. A valid JSON object. - `correlation_id` (string) Arbitrary correlation ID related to the MT message set by the Conversation API user. - `id` (string) The ID of the conversation. - `last_received` (string) The timestamp of the latest message in the conversation. The timestamp will be Thursday January 01, 1970 00:00:00 UTC if the conversation contains no messages. - `metadata` (string) Arbitrary data set by the Conversation API clients. Up to 1024 characters long. NOTE: This field has been deprecated due to changes in the system architecture or functionality. It is no longer actively maintained and may be removed in future versions. Please avoid relying on this field in new code. ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 403 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 501 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string)